Search documentation of ash

# Ash.Resource.Attribute.Helpers (ash v3.4.71)

View Source

Helpers for building attributes

# Summary

## Functions

timestamps(opts \\ [])

Defines create and update timestamp attributes.

# Functions

# timestamps(opts \\ [])

(macro)

Defines create and update timestamp attributes.

Shorthand for `Ash.Resource.Dsl.attributes.create_timestamp` and `Ash.Resource.Dsl.attributes.update_timestamp` with the attribute names `:inserted_at` and `:updated_at` respectively. Any options passed to this helper are passed to both timestamp macros.